'use strict';

// [[module ListPages range="." limit="1"]]
//     [[iframe http://scpnet.org/interwiki/scp-ru/?lang=ru&page=%%name%%]]
// [[/module]]

const {getWikiListByPageName} = require('./registry');
const {generatePage} = require('./template');

module.exports = ({wiki, page, lang}) => {
    page = page.replace('forum:category', 'forum:start'); // eslint-disable-line no-param-reassign

    const list = getWikiListByPageName(page).filter((pageWiki) => pageWiki !== wiki);
    if (!list || !list.length) {
        return '';
    }

    return generatePage({list, lang, page: page});
};
